com.google.gwt.core.client

## Annotation Type SingleJsoImpl

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public @interface SingleJsoImpl

This annotation may be placed on an interface to declare the single JavaScriptObject type that implements the interface. While it is not strictly necessary to use this annotation when declaring JSO subtypes that implement an interface, this annotation allows a developer to ensure that a specific JSO implementation will always be used.

### Required Element Summary

Required Elements
`java.lang.Class<? extends JavaScriptObject>` `value`

### Element Detail

#### value

    public abstract java.lang.Class<? extends JavaScriptObject> value